package net.locusworks.lsproject.object.helper;

import net.locusworks.lsproject.object.Router;

/**
 * A callback can be set to the DijkstraEngine if one needs live updates to
 * the algorithm.
 */
public interface DijkstraCallback {
	public void reset();
	public void settledRouterAdded(Router router);
	public void predecessorAdded(Router key, Router value);
	public void shortestDistanceUpdated(Router router, int cost);
}
